Issue 121965 - Transformation of not fixed connectors is ignored
Transformation of not fixed connectors is ignored
Status: RESOLVED FIXED
Product: Draw
Classification: Application
Component: open-import
4.0.0-dev
All Windows 7
: P3 normal (vote)
: 4.0.0
Assigned To: Armin Le Grand
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2013-03-26 17:17 UTC by Regina Henschel
Modified: 2013-07-12 16:36 UTC (History)
3 users (show)

See Also:
Issue Type: DEFECT
Latest Confirmation on: ---
Developer Difficulty: ---


Attachments
File with straight lines as connector (11.09 KB, application/vnd.oasis.opendocument.presentation)
2013-03-26 17:17 UTC, Regina Henschel
no flags Details

Note You need to log in before you can comment on or make changes to this issue.
Description Regina Henschel 2013-03-26 17:17:21 UTC
Created attachment 80468 [details]
File with straight lines as connector

PowerPoint 2013 does not use primitive lines but straight connectors. When it exports to .odp format, it writes a draw:connector element with a draw:transformation attribute, which holds the rotation of the line. When you open that file in AOO, the connector is drawn, but not rotated.

In the attached document the connectors should meet with their left point in the middle of the cross.
Comment 1 Armin Le Grand 2013-03-27 10:30:23 UTC
ALG: Looks like one for me, grepping...
Comment 2 Armin Le Grand 2013-04-08 12:39:46 UTC
ALG: Indeed, the xml file contains the start and end positions plus a transformation.
Adding Regina to CC.
@Regina: Is draw:transform allowed for draw:connector in our ODF spec?
Continuing applying that transformation...
Comment 3 Armin Le Grand 2013-04-08 12:47:14 UTC
ALG: Okay, comitted r1465615 which applies an existing transformation to start/end before using these, works well.
Comment 4 SVN Robot 2013-04-08 12:51:43 UTC
"alg" committed SVN revision 1465615 into trunk:
i121965 Take draw:transform into account for draw:connector shapes
Comment 5 Regina Henschel 2013-04-08 13:15:37 UTC
@ALG: Yes it is allowed. The way in schema.rng is from draw-connector to common-draw-shape-with-text-and-styles-attlist to common-draw-shape-with-styles-attlist and finally to common-draw-transform-attlist. The attribute draw:transform itself is always optional. The textual part of the specification has no semantical restrictions.
Comment 6 Armin Le Grand 2013-04-08 17:56:42 UTC
ALG: Thanks Regina!